/*
Theme Name:Togservice
Template:storefront
Theme URI:http://togservice.no/
Author: Joachim @ r8edge
Author URI:https://www.r8edge.no
Version:1
*/

@font-face {
    font-family: 'VySans-Bold';
    src: url('/wp-content/themes/togservice/fonts/VySans-Bold.eot');
    src: url('/wp-content/themes/togservice/fonts/VySans-Bold.eot?#iefix') format('embedded-opentype'),
         url('/wp-content/themes/togservice/fonts/VySans-Bold.woff') format('woff'),
         url('/wp-content/themes/togservice/fonts/VySans-Bold.ttf') format('truetype');
    font-weight: 600;
    font-style: normal;
}
@font-face {
    font-family: 'VySans-Bold-Italic';
    src: url('/wp-content/themes/togservice/fonts/VySans-BoldItalic.eot');
    src: url('/wp-content/themes/togservice/fonts/VySans-BoldItalic.eot?#iefix') format('embedded-opentype'),
         url('/wp-content/themes/togservice/fonts/VySans-BoldItalic.woff') format('woff'),
         url('/wp-content/themes/togservice/fonts/VySans-BoldItalic.ttf') format('truetype');
    font-weight: 600;
    font-style: italic;
}
@font-face {
    font-family: 'VySans-Regular';
    src: url('/wp-content/themes/togservice/fonts/VySans-Regular.eot');
    src: url('/wp-content/themes/togservice/fonts/VySans-Regular.eot?#iefix') format('embedded-opentype'),
         url('/wp-content/themes/togservice/fonts/VySans-Regular.woff') format('woff'),
         url('/wp-content/themes/togservice/fonts/VySans-Regular.ttf') format('truetype');
    font-weight: 300;
    font-style: normal;
}
@font-face {
    font-family: 'VySans-Regular-Italic';
    src: url('/wp-content/themes/togservice/fonts/VySans-RegularItalic.eot');
    src: url('/wp-content/themes/togservice/fonts/VySans-RegularItalic.eot?#iefix') format('embedded-opentype'),
         url('/wp-content/themes/togservice/fonts/VySans-RegularItalic.woff') format('woff'),
         url('/wp-content/themes/togservice/fonts/VySans-RegularItalic.ttf') format('truetype');
    font-weight: 300;
    font-style: normal;
}

p a {
  text-decoration: underline;
}

.woocommerce-shipping-destination {
  display: none;
}
.woocommerce-shipping-methods {
  margin-bottom: 0;
}
/* Woocommerce product image fix */
.product > .woocommerce-product-gallery {opacity:1 !important;}

/* ease storefront breadcrumb margin */
.storefront-breadcrumb {
  margin: 0;
}

/* Utility classes */
#browserMessage {
  display: none;
}
.w-100 {
  width: 100%;
}

.categories {
	display:-ms-grid;
	display: grid;
	grid-template-columns: 1fr 1fr 1fr;
	-ms-grid-columns: 1fr 1fr 1fr;
	grid-column-gap: 20px;
}
.category:nth-child(1) {
	-ms-grid-column:1;
	-ms-grid-column-span:1;
}
.category:nth-child(2) {
	-ms-grid-column:2;
	-ms-grid-column-span:1;
}
.category:nth-child(3) {
	-ms-grid-column:3;
	-ms-grid-column-span:1;
}

@media screen and (max-width: 768px) {
  .categories {
	  grid-template-columns: 1fr;
  }
}
.categories img {
	margin-bottom: 12px;
}
.categories h3 {
	margin-bottom: 0;
}

/* remove silly underline from checkout */
#customer_details abbr {
  text-decoration: none;
}

/* */
.preorder .category:hover {
  opacity: 0.75;
  transition: opacity 300ms;
  text-decoration: underline;
}

.shop-footer {
  padding-top: 3em;
  padding-bottom: 3em;
  text-align:center;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.my_sidebar ul {
  list-style: none;
  margin-left: 0;
}

.my_sidebar ul li {
  margin-bottom: 0.5em;
}

.my_sidebar h4 {
  margin-top: 0;
  line-height: 1.2;
}

.my_sidebar .call-btn {
  text-align: center;
  background-color: #555;
  color: #fff;
  padding: 0.5em 1em;
  font-size: 1.2em;
  display: block;
}

/* Overstyre fonter i Woocommerce */
.woocommerce h1,
.woocommerce h2,
.woocommerce h3,
.woocommerce h4,
.woocommerce h5,
.woocommerce h6, body, button, input, textarea, a {
  font-family: Adrianna, sans-serif;
  color: #2E3440;
}

.woocommerce h1,
.woocommerce h2,
.woocommerce h3,
.woocommerce h4,
.woocommerce h5,
.woocommerce h6 {
  font-weight: 600;
}


/* SJ Theme */
.shop-footer {
  background-color: #F2F0ED;
}

.site_logo {
  width: 140px;
  margin-right: 2rem;
}

.site_logo_link {
  padding: 0 !important;
}

.main-navigation {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100% !important;
  margin-right: 0 !important;
  float: none !important;
}

.navigation-left-section {
  display: flex;
  align-items: center;
}


.navigation-right-section {
  display: none;
}

@media (min-width: 768px) {
  .navigation-right-section {
    display: flex;
    align-items: center;
  }
}

.main-navigation::before, .main-navigation::after {
  display: none;
}

#menu-toppmeny[aria-expanded="true"] {
  opacity: 1;
  width: 100vw;
  position: fixed;
  height: 100vh;
  background-color: white;
  z-index: 99999;
  left: 0;
  top: 0;
  padding-top: 3rem;
  padding-left: 2rem;
  overflow: hidden;
}

#menu-toppmeny[aria-expanded="false"] {
  opacity: 0;
  width: 100vw;
  position: fixed;
  height: 100vh;
  background-color: white;
  z-index: 99999;
  left: 0;
  top: 0;
  padding-top: 3rem;
  padding-left: 2rem;
}

@media (min-width: 768px) {
  #menu-toppmeny[aria-expanded="false"] {
    opacity: 1;
    width: unset;
    position: static;
    height: unset;
    padding-top: unset;
    padding-left: unset;
  }
}

.woocommerce-active .site-header .site-header-cart {
  width: auto !important;
  float: none !important;
}

.site-header-cart:hover .widget_shopping_cart, .widget_shopping_cart {
  display: none !important;
  overflow: hidden !important;
  width: 0 !important;
  height: 0 !important;
}

.language_switcher {
  width: 42px;
}

.wpml-ls-item {
  display: none;
}

.language_switcher > img {
  display: inline-block;
  margin-right: 6px;
}

.language_switcher:hover .wpml-ls-item {
  display: inline-block;
  padding: 0;
}

.language_switcher .wpml-ls-item img {
  position: relative;
  left: 0;
}


/* Hero */
.site-header {
  margin-bottom: 0 !important;
}

.hero {
  width: 100vw;
  position: relative;
  left: 50%;
  right: 50%;
  margin-left: -50vw;
  margin-right: -50vw;
  height: 400px;
  margin-bottom: 3rem;
}

.hero .img {
  width: 100%;
  height: 100%;
  background-size: 100%;
  background-repeat: no-repeat;
  background-size: cover;
  background-position-y: 25%;
  background-position-x: center;
}

.hero .img::after {
  content: "";
  background-color: white;
  background-image: url("/wp-content/themes/togservice/images/divider-rot.svg");
  background-size: 50px;
  padding: 30px;
  background-repeat: no-repeat;
  display: block;
  position: absolute;
  margin-top: -30px;
  left: calc(50% - 30px);
  bottom: -30px;
  transform: rotate(45deg);
  background-position: center;
  z-index: 999;
}

.entry-content .hero {
  width: 100%;
  left: unset;
  right: unset;
  margin-left: unset;
  margin-right: unset;
}

.site-content {
  margin-top: 2rem;
}

.home .site-content {
	margin-top: 0;
}

.content-area, .site-main {
  margin-bottom: 0;
}

.woocommerce-products-header {
  padding-bottom: 1rem !important;
}

.products {
  display: flex;
  flex-wrap: wrap;
}

.products .product {
  text-align: left !important;
  max-width: 50%;
  box-sizing: border-box;
}

.product img {
  margin-bottom: 1em;
  padding-right: .5rem;
  padding-left: .5rem;
}

.woocommerce-loop-category__title {
  padding-left: .5rem;
}

@media (max-width: 767px) {
  .woocommerce-loop-category__title {
    padding-left: .25rem;
  }
  .product img {
    padding: 0;
    padding-right: .25rem;
    padding-left: .25rem;
  }
  .product .woocommerce-loop-product__link {
    min-height: 305px;
  }
  .upsells .products, .cross-sells .products {
    flex-wrap: nowrap;
    overflow-x: scroll;
  }

  .upsells .products .product, .cross-sells .products .product {
    min-width: 68%;
  }

  table.cart .product-thumbnail img {
    max-width: 100%;
  }
}

@media (min-width: 1140px) {
  .product .woocommerce-loop-product__link  {
    min-height: 260px;
  }

}


/* forside - produktkategorier */
.woocommerce-loop-category__title {
  text-align: left;
}

/* Design-boks
.product-category a::before {
  content: "";
  background-color: white;
  background-image: url("/wp-content/themes/togservice/images/divider-rot.svg");
  background-size: 50px;
  padding: 30px;
  background-repeat: no-repeat;
  display: block;
  position: absolute;
  left: calc(50% - 30px);
  transform: rotate(45deg);
  background-position: center;
  bottom: 30px;
}
*/

.product-category img {
  text-align: left;
  width: 100%;
  max-height: 350px;
  object-fit: cover;
  border-radius: 12px;
}

.woocommerce-loop-category__title {
  font-size: 24px !important;
  font-weight: 600 !important;
}

.category-title {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(45,55,76, 0.75);
  color: white;
  font-size: 4rem;
  font-weight: bold;
  display: flex;
  align-items: center;
  justify-content: center;
}

.menu-toggle {
  position: relative;
  z-index: 999999;
}



/* Ikoner i navigasjon */
.menu-item > a {
  display: inline-block !important;
  font-weight: 500;
  padding-left: 0.5em !important;
}

a:focus {
  outline: none !important;
}

.icon::before {
  display: inline-block;
  height: 20px;
  width: 20px;
  content: "";
  background-size: 100%;
  background-repeat: no-repeat;
  margin-bottom: -4px;
  margin-left: 14px;
}

.icon-utensils::before {background-image: url('/wp-content/themes/sj.togservice/images/icons/utensils.svg');}
.icon-mail::before {background-image: url('/wp-content/themes/sj.togservice/images/icons/mail.svg');}
.icon-calendar::before {background-image: url('/wp-content/themes/sj.togservice/images/icons/calendar.svg');}
.icon-cook::before {background-image: url('/wp-content/themes/sj.togservice/images/icons/cook.svg');}
.icon-burger::before {background-image: url('/wp-content/themes/sj.togservice/images/icons/burger.svg');}


.cart-contents::after {
  margin-left: 10px;
}

/* Selected item i navigasjon */
@media (min-width: 767px) {
  .current-menu-item {
    background-color: #f2f0ed;
    position: relative;
  }

  .current-menu-item a {
    color: #2E374B !important;
  }
  .current-menu-item::after {
    content: "";
    height: 6px;
    width: 6px;
    background-color: #D42138;
    display: block;
    position: absolute;
    left: 0;
    right: 0;
    margin: auto;
    bottom: 17%;
    transform: rotate(45deg);
  }
}

/* Ro ned padding fra browser-topp til header */
.site-header {
  padding-top: 1.618rem!important;
}

@media(min-width: 768px) {
  .site-header {
    padding-top: 0!important;
  }
}

/* Breadcrumb edits */

.woocommerce-breadcrumb {
  color: #777;
  font-size: 16px;
}

.woocommerce-breadcrumb a {
  color: #2E374B;
  text-decoration: none;
}

.woocommerce-result-count {
  font-size: 18px;
}

/* fontstørrelser */
.product_meta {
  font-size: 18px !important;
}

.product_meta a {
  text-decoration: none !important;
  font-weight: 400 !important;
  text-transform: capitalize;
  color: #2e374b;
}

.tagged_as, .posted_in {
  font-weight: 600;
}

.woocommerce-Tabs-panel p {
  font-size: 18px;
}

.woocommerce-tabs ul.tabs li::after {
  content: "\f0da";
  color: #D42138;
}

.woocommerce-tabs .active a {
  color: #2e374b !important;
  font-weight: 600;
}
.woocommerce-tabs a {
  font-size: 18px !important;
}

.woocommerce h1 {
  font-size: 36px;
  font-weight: bold;
  letter-spacing: 0.4px;
  font-smooth: always;
  -webkit-font-smoothing: antialiased;
}

@media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
  .site-header {
    margin-top: 0;
    padding-top: 0;
  }
  .site_logo {
    margin-bottom: -8px;
  }

  .nav-menu {
    padding-top: 0!important;
  }

  .navigation-right-section {
    display: none;
  }

  .main-navigation::before, .main-navigation::after {
    display: table;
  }

  #menu-toppmeny[aria-expanded="true"] {
    opacity: 1;
    width: 100vw;
    position: fixed;
    height: 100vh;
    background-color: white;
    z-index: 99999;
    left: 0;
    top: 0;
    padding-top: 3rem;
    padding-left: 2rem;
    overflow: hidden;
  }

  #menu-toppmeny[aria-expanded="false"] {
    opacity: 0;
    width: 100vw;
    position: fixed;
    height: 100vh;
    background-color: white;
    z-index: 99999;
    left: 0;
    top: 0;
    padding-top: 3rem;
    padding-left: 2rem;
  }
  .cart-contents::after {
    display: none !important;
  }

  .product .woocommerce-loop-product__link {
  }

}


.home #secondary {
  display: none;
}

.home #primary {
  width: 100% !important;
}

@media (min-width: 768px) and (-ms-high-contrast: none), (-ms-high-contrast: active) {
    #menu-toppmeny[aria-expanded="false"] {
      opacity: 1;
      position: static;
      display: inline-block;
      width: 500px;
      height: 100%;
      padding-top: 1em;
      padding-left: 1em;
    }

    .navigation-right-section {
      display: flex;
      align-items: center;
    }
  }

.is-shop #secondary {
  display: none;
}

.is-shop #primary {
  width: 100%;
}
.is-shop ul.products.columns-4 li.product {
  width: 100%;
  margin-right: initial;
  float: unset;
  max-width: 100%;
}

@media(min-width: 768px) {
  .is-shop ul.products.columns-4 li.product {
    max-width: 50%;
  }
}